Bug 733573 - [abrt] deluge-gtk-1.3.2-1.fc15: connectionmanager.py:480:on_button_connect_clicked:AttributeError: 'NoneType' object has no attribute 'addCallback'
Summary: [abrt] deluge-gtk-1.3.2-1.fc15: connectionmanager.py:480:on_button_connect_cl...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: deluge
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e3dca22604e7674a012949745e8...
: 662264 781799 (view as bug list)
Depends On:
Blocks: 781799
TreeView+ depends on / blocked
 
Reported: 2011-08-26 04:46 UTC by Ira Malinich
Modified: 2012-08-07 19:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:58:21 UTC


Attachments (Terms of Use)

Description Ira Malinich 2011-08-26 04:46:02 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python /usr/bin/deluge-gtk
component:      deluge
executable:     /usr/bin/deluge-gtk
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        deluge-gtk-1.3.2-1.fc15
reason:         connectionmanager.py:480:on_button_connect_clicked:AttributeError: 'NoneType' object has no attribute 'addCallback'
time:           Thu Aug 25 22:27:07 2011
uid:            501
username:       nigel

backtrace:
:connectionmanager.py:480:on_button_connect_clicked:AttributeError: 'NoneType' object has no attribute 'addCallback'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/connectionmanager.py", line 480, in on_button_connect_clicked
:    client.disconnect().addCallback(do_connect)
:AttributeError: 'NoneType' object has no attribute 'addCallback'
:
:Local variables in innermost frame:
:status: 'Online'
:widget: <gtk.Button object at 0x9157e3c (GtkButton at 0x8feac88)>
:do_connect: <function do_connect at 0x9129c6c>
:port: 58846
:host: [redacted]
:user: [redacted]
:host_id: '84ac8392f5c63bdb9790b9a1ecf5ad32770b84c7'
:model: <gtk.ListStore object at 0x91573ec (GtkListStore at 0x9289ae0)>
:password: [redacted]
:self: <deluge.ui.gtkui.connectionmanager.ConnectionManager object at 0x8d0428c>
:row: <GtkTreeIter at 0x92c9380>

comment:
:After several wrong passwords (deleting and re-adding the host information each time) the host showed a green status icon.  The abrt alert appeared as soon as I clicked on the Connect button.
:
:Subsequent clicks of the Connect button appear to have had no effect.  After quitting and restarting the Deluge GTK client, the connection worked properly the first time.
:
:I have reproduced the exact behaviour and circumstances under two different users, though I'm not sure whether the string of bad passwords was necessary.

Comment 1 Calum 2011-12-03 15:21:56 UTC
*** Bug 662264 has been marked as a duplicate of this bug. ***

Comment 2 Calum 2011-12-03 15:27:20 UTC
Yep it seems to think you are already connected so attempts to disconnect, which is where the error occurs. 

I have opened a ticket: http://dev.deluge-torrent.org/ticket/1987

Comment 3 klangga 2012-02-15 01:51:48 UTC
1. Install deluge
2. Disable classic mode (uncheck the option under Classic Mode, Options)
3. Create a new connection in the Connection Preferences
4. Click connect


Package: deluge-gtk-1.3.3-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 4 Calum 2012-04-25 14:15:40 UTC
*** Bug 781799 has been marked as a duplicate of this bug. ***

Comment 5 Calum 2012-04-25 14:18:37 UTC
Just to clarify you need to restart Deluge whenever disabling/enabling Classic mode. 

Deluge bug ticket is now: http://dev.deluge-torrent.org/ticket/1871

Comment 6 Fedora End Of Life 2012-08-07 19:58:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.